gnutls_srp_set_prime_bits(3)

NAME
gnutls_srp_set_prime_bits - set the minimum bits for a SRP ciphersuite

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_srp_set_prime_bits(gnutls_session_t session, unsigned int bits);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int bits
    is the number of bits

DESCRIPTION
This function sets the minimum accepted number of bits, for use in an SRP key exchange. If zero, the default 2048 bits will be used. In the client side it sets the minimum accepted number of bits. If a server sends a prime with less bits than that GNUTLS_E_RECEIVED_ILLEGAL_PARAMETER will be returned by the handshake.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.